Skip to content

Confirm or cancel a PIX key claim (donor)

POST
/order/v1/banking/accounts/{accountId}/keys/claims/{claimId}/confirm

Confirm the code sent by the confirm-request call and resolve the claim (donor side). CONFIRM releases the key to the requesting institution; CANCEL keeps the key with this account and rejects the claim.

accountId
required
string format: uuid

Identifier of the account

claimId
required
string

Identifier of the claim, as returned by GET :accountId/keys/claims

idempotency-key
required
string format: uuid

A unique identifier for the message with a maximum of 64 characters (we recommend a UUID).

object
validationId
required

Identifier returned by the confirm-request call (POST …/keys/claims/:claimId/confirm-request)

string
Example
a8f2b9c4-1e6a-4c3f-9d7b-2a1e8f9c5d10
token
required

Confirmation code (OTP) received by e-mail/SMS

string
Example
123456
decision
required

CONFIRM releases the key to the requesting institution. CANCEL keeps the key with this account and rejects the claim.

string
Allowed values: CONFIRM CANCEL
Example
CONFIRM

The resource was returned successfully

object
claimId
required

Identifier of the claim, used on subsequent operations.

string
Example
a8f2b9c4-1e6a-4c3f-9d7b-2a1e8f9c5d10
status
required

Status of the claim

string
Example
PENDING
object
error
string
Example
INVALID_REQUEST
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[
{
"field": "field_name",
"issue": "INVALID",
"description": "Field is invalid"
}
]

Unauthorized Request

object
error
string
Example
UNAUTHORIZED
message
string
Example
Unauthorized Request
details
Array<object>
object
field
string
issue
string
description
string
Example
[]
object
error
string
Example
INTERNAL_ERROR
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]